Bug 187883 - Firefox slows my desktop to a crawl and has to be killed.
Firefox slows my desktop to a crawl and has to be killed.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 05:42 EDT by teamwassily
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description teamwassily 2006-04-04 05:42:37 EDT
Description of problem:
Firefox slows to a crawl occasionally when I'm using the kernel-smp.

Version-Release number of selected component (if applicable):
1.5.0.1

How reproducible:
Not under my control, but it has happened 3 times in a short period.

Steps to Reproduce:
1.Use Firefox for surfing.
2.Keep the Desktop Search (beagle) running with a query like 'grass' active.
3.Surf, surf, and surf.  And Firefox will slow to a crawl.
4.Kill the Firefox application and everything goes back to normal.
  
Actual results:
Firefox becomes such a bastard that the mouse barely moves across the screen,
and menus take forever to load (in a desperate attempt to get to System Monitor
to kill Firefox).


Expected results:
No maxed out CPU usage problems while using Firefox.

Additional info:
I would like to exclude Beagle as the problem, because once Firefox has been
killed Beagle continues to run and the reloaded Firefox does not cause problems
for maybe another day.

I'm sure that my description is of little help, so it would be a good idea to
keep this bug open.  Others and myself might be able to narrow the problem.

The other quirk is so far it only happens on the smp-kernel, which I've used as
much as the regular kernel.  I have a hyper-threaded intel 3.0 GHz chip so the
smp-kernel and the regular kernel appear on Grub.  Though I can't see why the
kernel-smp would be a problem.

I also have the flash plugin installled, but no other extensions or themes.
Comment 1 teamwassily 2006-04-04 05:45:06 EDT
It doesn't gradually slow to a crawl, it just happens in a moment.  Could be
that moment occurs when I open a link in a new tab.
Comment 2 James Hunt 2006-07-04 16:15:49 EDT
This sounds similar to the bug I raised (bug 197535).
Comment 3 James Hunt 2006-07-04 16:31:00 EDT
I too have flash installed (although none of the pages I'm visiting are flash
ones. Also, I don't use Beagle. However, consistently, every time I open a page
in a new window, if you run "top" in a terminal window, you'll see firefox-bin
consume 99% of the CPU for 8-10 seconds. It'll then render the contents of the
new window, and then the CPU will drop back to normal.
Comment 4 Matěj Cepl 2007-07-18 13:32:21 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-08-28 10:59:16 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.